Search
Upload
Modify/Delete

flag more
language Engilsh
language 中文
language 한국어
language Deutsch
language 日本語
language Русский
language Español
language Français
language Italiano
language Português
language polski
language Tiếng Việt
menu
menu_close
Join

Search
Upload
Modify/Delete

menu_language Engilsh
menu_language 中文
menu_language 한국어
menu_language Deutsch
menu_language 日本語
menu_language Русский
menu_language Español
menu_language Français
menu_language Italiano
menu_language Português
menu_language polski
menu_language Tiếng Việt
RFC31G0000200C Search results
Supplier
MicrotranikComponents,Inc Transcrui Microcircuit Corporation Evatronix(HK) Electronics Trade Inc
Premium B
Total: 76
( 1/1 Page)
info
IC Agent Electronics Ins
USA
Kevin@ic-agent.com
Part # Mfg Datasheet Description Q'ty Datacode Location Reg Date RFQ
RFC-8 See all 2 items KG RFC-8 datasheet DIP 45500 2020+ Instock 26-10-01
Inquiry
RFC-8 inquiry
RFCA3828 QORVO RFCA3828 datasheet 47040 2020+ Instock 26-10-01
Inquiry
RFCA3828 inquiry
RFCA8828 QORVO RFCA8828 datasheet 47040 2020+ Instock 26-10-01
Inquiry
RFCA8828 inquiry
RFCM2680 RFMD RFCM2680 datasheet 47040 2020+ Instock 26-10-01
Inquiry
RFCM2680 inquiry
RFCA3302SB RFMD RFCA3302SB datasheet 47040 2020+ Instock 26-10-01
Inquiry
RFCA3302SB inquiry
RFC41-1K2600 ACON RFC41-1K2600 datasheet 245000 2020+ Instock 26-10-01
Inquiry
RFC41-1K2600 inquiry
RFCA1008TR13 QORVO RFCA1008TR13 datasheet 47040 2020+ Instock 26-10-01
Inquiry
RFCA1008TR13 inquiry
RFCA8828TR13 QORVO RFCA8828TR13 datasheet SOP8 27027 2020+ Instock 26-10-01
Inquiry
RFCA8828TR13 inquiry
RFC-2D-470OHM See all 2 items JAT RFC-2D-470OHM datasheet SMD 8400 2020+ Instock 26-10-01
Inquiry
RFC-2D-470OHM inquiry
RFC0807B-104KE COILCRAFT/ RFC0807B-104KE datasheet 104 175 2020+ Instock 26-10-01
Inquiry
RFC0807B-104KE inquiry
RFC0807B-105KE Coilcraft/ RFC0807B-105KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC0807B-105KE inquiry
RFC0807B-123KE See all 2 items Coilcraft/ RFC0807B-123KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC0807B-123KE inquiry
RFC0807B-125KE COILCRAFT/ RFC0807B-125KE datasheet DIP 12600 2020+ Instock 26-10-01
Inquiry
RFC0807B-125KE inquiry
RFC0807B-153KE See all 2 items Coilcraft/ RFC0807B-153KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC0807B-153KE inquiry
RFC0807B-183KE COILCRAFT/ RFC0807B-183KE datasheet DIP 12600 2020+ Instock 26-10-01
Inquiry
RFC0807B-183KE inquiry
RFC0807B-184KE See all 2 items Coilcraft/ RFC0807B-184KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC0807B-184KE inquiry
RFC0807B-185KE COILCRAFT/ RFC0807B-185KE datasheet DIP 12600 2020+ Instock 26-10-01
Inquiry
RFC0807B-185KE inquiry
RFC0807B-224KE Coilcraft/ RFC0807B-224KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC0807B-224KE inquiry
RFC0807B-225KE Coilcraft/ RFC0807B-225KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC0807B-225KE inquiry
RFC0807B-274KE Coilcraft/ RFC0807B-274KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC0807B-274KE inquiry
RFC0807B-334KE COILCRAFT/ RFC0807B-334KE datasheet DIP 12600 2020+ Instock 26-10-01
Inquiry
RFC0807B-334KE inquiry
RFC0807B-335KE COILCRAFT/ RFC0807B-335KE datasheet DIP 12600 2020+ Instock 26-10-01
Inquiry
RFC0807B-335KE inquiry
RFC0807B-393KE COILCRAFT/ RFC0807B-393KE datasheet DIP 12600 2020+ Instock 26-10-01
Inquiry
RFC0807B-393KE inquiry
RFC0807B-394KE Coilcraft/ RFC0807B-394KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC0807B-394KE inquiry
RFC0807B-473KE Coilcraft/ RFC0807B-473KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC0807B-473KE inquiry
RFC0807B-474KE See all 2 items Coilcraft/ RFC0807B-474KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC0807B-474KE inquiry
RFC0807B-475KE Coilcraft/ RFC0807B-475KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC0807B-475KE inquiry
RFC0807B-685KE Coilcraft/ RFC0807B-685KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC0807B-685KE inquiry
RFC0807B-823KE See all 2 items Coilcraft/ RFC0807B-823KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC0807B-823KE inquiry
RFC0807B-825KE See all 2 items Coilcraft/ RFC0807B-825KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC0807B-825KE inquiry
RFC0810B-124KE COILCRAFT/ RFC0810B-124KE datasheet DIP 12600 2020+ Instock 26-10-01
Inquiry
RFC0810B-124KE inquiry
RFC0810B-154KE COILCRAFT/ RFC0810B-154KE datasheet DIP 12600 2020+ Instock 26-10-01
Inquiry
RFC0810B-154KE inquiry
RFC0810B-155KE See all 2 items Coilcraft/ RFC0810B-155KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC0810B-155KE inquiry
RFC0810B-184KE Coilcraft/ RFC0810B-184KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC0810B-184KE inquiry
RFC0810B-186KE Coilcraft/ RFC0810B-186KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC0810B-186KE inquiry
RFC0810B-224KE See all 2 items Coilcraft/ RFC0810B-224KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC0810B-224KE inquiry
RFC0810B-274KE Coilcraft/ RFC0810B-274KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC0810B-274KE inquiry
RFC0810B-275KE COILCRAFT/ RFC0810B-275KE datasheet DIP 12600 2020+ Instock 26-10-01
Inquiry
RFC0810B-275KE inquiry
RFC0810B-393KE See all 2 items Coilcraft/ RFC0810B-393KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC0810B-393KE inquiry
RFC0810B-394KE Coilcraft/ RFC0810B-394KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC0810B-394KE inquiry
RFC0810B-395KE Coilcraft/ RFC0810B-395KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC0810B-395KE inquiry
RFC0810B-473KE Coilcraft/ RFC0810B-473KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC0810B-473KE inquiry
RFC0810B-563KE See all 2 items Coilcraft/ RFC0810B-563KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC0810B-563KE inquiry
RFC0810B-564KE COILCRAFT/ RFC0810B-564KE datasheet DIP 12600 2020+ Instock 26-10-01
Inquiry
RFC0810B-564KE inquiry
RFC0810B-684KE COILCRAFT/ RFC0810B-684KE datasheet DIP 12600 2020+ Instock 26-10-01
Inquiry
RFC0810B-684KE inquiry
RFC0810B-825KE COILCRAFT/ RFC0810B-825KE datasheet DIP 12600 2020+ Instock 26-10-01
Inquiry
RFC0810B-825KE inquiry
RFC1010B-105KE See all 2 items Coilcraft/ RFC1010B-105KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC1010B-105KE inquiry
RFC1010B-106KE COILCRAFT/ RFC1010B-106KE datasheet DIP 12600 2020+ Instock 26-10-01
Inquiry
RFC1010B-106KE inquiry
RFC1010B-126KE COILCRAFT/ RFC1010B-126KE datasheet DIP 12600 2020+ Instock 26-10-01
Inquiry
RFC1010B-126KE inquiry
RFC1010B-155KE COILCRAFT/ RFC1010B-155KE datasheet DIP 12600 2020+ Instock 26-10-01
Inquiry
RFC1010B-155KE inquiry
RFC1010B-184KE See all 2 items Coilcraft/ RFC1010B-184KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC1010B-184KE inquiry
RFC1010B-186KE Coilcraft/ RFC1010B-186KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC1010B-186KE inquiry
RFC1010B-225KE Coilcraft/ RFC1010B-225KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC1010B-225KE inquiry
RFC1010B-274KE Coilcraft/ RFC1010B-274KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC1010B-274KE inquiry
RFC1010B-275KE COILCRAFT/ RFC1010B-275KE datasheet DIP 12600 2020+ Instock 26-10-01
Inquiry
RFC1010B-275KE inquiry
RFC1010B-334KE Coilcraft/ RFC1010B-334KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC1010B-334KE inquiry
RFC1010B-335KE See all 2 items Coilcraft/ RFC1010B-335KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC1010B-335KE inquiry
RFC1010B-394KE Coilcraft/ RFC1010B-394KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC1010B-394KE inquiry
RFC1010B-395KE COILCRAFT/ RFC1010B-395KE datasheet DIP 12600 2020+ Instock 26-10-01
Inquiry
RFC1010B-395KE inquiry
RFC1010B-474KE Coilcraft/ RFC1010B-474KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC1010B-474KE inquiry
RFC1010B-475KE Coilcraft/ RFC1010B-475KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC1010B-475KE inquiry
RFC1010B-564KE COILCRAFT/ RFC1010B-564KE datasheet DIP 12600 2020+ Instock 26-10-01
Inquiry
RFC1010B-564KE inquiry
RFC1010B-685KE COILCRAFT/ RFC1010B-685KE datasheet DIP 12600 2020+ Instock 26-10-01
Inquiry
RFC1010B-685KE inquiry
RFC1010B-824KE See all 2 items Coilcraft/ RFC1010B-824KE datasheet SMD 8000 2020+ Instock 26-10-01
Inquiry
RFC1010B-824KE inquiry
RFCMF1220100M3T See all 6 items WALSIN/ RFCMF1220100M3T datasheet NA 5600 2020+ Instock 26-10-01
Inquiry
RFCMF1220100M3T inquiry
RFCMF1220100M4T See all 4 items RFCMF1220100M4T datasheet 98000 2020+ Instock 26-10-01
Inquiry
RFCMF1220100M4T inquiry
RFCMF1532140M2T RFCMF1532140M2T datasheet SMD 14000 2020+ Instock 26-10-01
Inquiry
RFCMF1532140M2T inquiry
RFCMF1632090M1T See all 7 items WNLSIN RFCMF1632090M1T datasheet 3216 16000 2020+ Instock 26-10-01
Inquiry
RFCMF1632090M1T inquiry
RFCMF1632100M3T See all 2 items RFCMF1632100M3T datasheet 69300 2020+ Instock 26-10-01
Inquiry
RFCMF1632100M3T inquiry
RFCMF3216090M0T See all 3 items WALSIN/ RFCMF3216090M0T datasheet SMD 392000 2020+ Instock 26-10-01
Inquiry
RFCMF3216090M0T inquiry
RFCMF3216090M1T See all 4 items WALSIN/ RFCMF3216090M1T datasheet SMD 392000 2020+ Instock 26-10-01
Inquiry
RFCMF3216090M1T inquiry
RFCMF3216130M2T See all 3 items PANASONIC/ RFCMF3216130M2T datasheet 805 63000 2020+ Instock 26-10-01
Inquiry
RFCMF3216130M2T inquiry
RFCM1005K-221T03 See all 2 items RPL RFCM1005K-221T03 datasheet 402 56000 2020+ Instock 26-10-01
Inquiry
RFCM1005K-221T03 inquiry
RFCON161202SA6B001 WalsinTech RFCON161202SA6B001 datasheet 10850 2020+ Instock 26-10-01
Inquiry
RFCON161202SA6B001 inquiry
RFCPL1608070PM9T16 See all 2 items M RFCPL1608070PM9T16 datasheet 27300 2020+ Instock 26-10-01
Inquiry
RFCPL1608070PM9T16 inquiry
RFCPL1608070PS0T62 RFCPL1608070PS0T62 datasheet 603 2772 2020+ Instock 26-10-01
Inquiry
RFCPL1608070PS0T62 inquiry
1
RFC31G0000200C Datasheet
Mfg Part # Datasheet Description
logo
NEC
RFC3261 NEC-RFC3261 Datasheet
394Kb/4P
   On-site wireless telephony on your IP Network
RFC3264 NEC-RFC3264 Datasheet
394Kb/4P
   On-site wireless telephony on your IP Network
RFC3265 NEC-RFC3265 Datasheet
394Kb/4P
   On-site wireless telephony on your IP Network
RFC3311 NEC-RFC3311 Datasheet
394Kb/4P
   On-site wireless telephony on your IP Network
RFC3325 NEC-RFC3325 Datasheet
394Kb/4P
   On-site wireless telephony on your IP Network
RFC3428 NEC-RFC3428 Datasheet
394Kb/4P
   On-site wireless telephony on your IP Network
RFC3515 NEC-RFC3515 Datasheet
394Kb/4P
   On-site wireless telephony on your IP Network
RFC3578 NEC-RFC3578 Datasheet
394Kb/4P
   On-site wireless telephony on your IP Network
RFC3665 NEC-RFC3665 Datasheet
394Kb/4P
   On-site wireless telephony on your IP Network
RFC3711 NEC-RFC3711 Datasheet
394Kb/4P
   On-site wireless telephony on your IP Network
RFC3842 NEC-RFC3842 Datasheet
394Kb/4P
   On-site wireless telephony on your IP Network
RFC3891 NEC-RFC3891 Datasheet
394Kb/4P
   On-site wireless telephony on your IP Network
logo
Chongqing Pingwei E...
RFC3K CHONGQING-RFC3K Datasheet
39Kb/1P
   HIGH VOLTAGE FAST RECOVERY RECTIFIER
RFC3K CHONGQING-RFC3K Datasheet
176Kb/1P
   0.2AMPS. HIGH VOLTAGE FAST RECOVERY RECTIFIERS
logo
GETAI ELECTRONICS D...
RFC3K GETEDZ-RFC3K Datasheet
549Kb/2P
   0.2A 2kV~4kV 500nS--High voltage fast recovery rectifier diode
RFC3K GETEDZ-RFC3K Datasheet
549Kb/2P
   0.2A 2kV~4kV 500nS--High voltage fast recovery rectifier diode
RFC3K GETEDZ-RFC3K Datasheet
549Kb/2P
   0.2A 2kV~4kV 500nS--High voltage fast recovery rectifier diode
logo
Shanghai Shunye Ele...
RFC3K SY-RFC3K Datasheet
239Kb/1P
   HIGH VOLTAGE RECTIFIER